package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.DataStoreModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface DataStoreProvider extends SuperProvider {
    @Override
    public boolean accessable();

    public BocloudResult uploadFile(String dcName, String dsName, String filePath);

    public BocloudResult create(DataStoreModel model);

    public BocloudResult rename(String dcName, String oldName, String newName);

    public BocloudResult unmount(String dcName, String hostName, String name);

    public BocloudResult remove(String dcName, String name);

    default BocloudResult detail(String dcName, String dsName) {
        return null;
    }

    default BocloudResult listByVdc(String vdcName) {
        return null;
    }
}
